{% extends "base.html" %}
{% block title %}System clocks{% endblock %}
{% block content %}

<h2>ADM1266 report</h2>

{% for name, device in data.items() %}

<h3>{{name}}: {{device["device_type"]}}
  {% if device["error"] %}
  <span class="badge rounded-pill bg-danger">ERROR</span>
  {% endif %}
</h3>

{% if device["error"] %}

<div class="alert alert-danger">
  {{device['error']}}
</div>

{% else %}
<div class="container">

  <ul>
    <li>Chip ID: {{ device["chip_id"] }}</li>
    <li>Firmware revision: {{ device["fw_rev"] }}</li>
    <li>Bootloader revision: {{ device["boot_rev"] }} </li>
    <li>Chip revision: {{ device["chip_rev"] }} </li>
    <li>Powerup counter: {{ device["powerup_counter"] }}</li>
  </ul>

<h4>Input pins</h4>

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">Rail</th>
      <th scope="col">ADC readout [V]</th>
      <th scope="col">UV fault limit [V]</th>
      <th scope="col">UV warning limit [V]</th>
      <th scope="col">OV warning limit [V]</th>
      <th scope="col">OV fault limit [V]</th>            
      <th scope="col">Status</th>
    </tr>
  </thead>
  <tbody>

  	{% for idx, pin in device["pins"].items() | sort %}
  
    {% if pin["status"] %}
    <tr class="table-warning">
    {% else %}
    <tr>
    {% endif %}
      <th scope="row">{{ pin["pin"] }}</th>
      <td>{{ pin["rail"] }}</td>
      <td>{{ "{:.3f}".format(pin["vout"]) }}</td>
      <td>{{ "{:.3f}".format(pin["uv_fault"]) }}</td>
      <td>{{ "{:.3f}".format(pin["uv_warn"]) }}</td>
      <td>{{ "{:.3f}".format(pin["ov_warn"]) }}</td>
      <td>{{ "{:.3f}".format(pin["ov_fault"]) }}</td>
      <td>{{ pin["status"] }}</td>
    </tr>

    {% endfor %}

  </tbody>
</table>


</div>
{% endif %}

<hr>

{% endfor %}

{% endblock %}